<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'cpu', schema: 'collection')]
#[ORM\Entity]
class Cpu {
	use GetSetTrait;

	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
         	#[ORM\Id]
         	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
         	private int $id;

	#[ORM\ManyToOne(targetEntity: 'Brand')]
         	#[ORM\OrderBy(['name' => 'asc'])]
         	#[ORM\JoinColumn(name: 'brand_id', referencedColumnName: 'id', nullable: FALSE)]
         	private Brand $brand;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getBrand(): ?Brand
    {
        return $this->brand;
    }

    public function setBrand(?Brand $brand): self
    {
        $this->brand = $brand;

        return $this;
    }
}
